Bug 523284 - Intel HDA choppy sound
Summary: Intel HDA choppy sound
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 18:17 UTC by Lukas Tvrdy
Modified: 2014-11-22 16:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:39:08 UTC


Attachments (Terms of Use)

Description Lukas Tvrdy 2009-09-14 18:17:57 UTC
Description of problem:
I hear too often choppy sound, like the soundcard is often turn on and off or something (I used to hear this sound when the kernel boots in previous releases)

Version-Release number of selected component (if applicable):
Linux pavilion 2.6.30.5-43.fc11.i586 #1 SMP Thu Aug 27 21:18:54 EDT 2009 i686 i686 i386 GNU/Linux

How reproducible:
very often

Steps to Reproduce:
1. boot 
2. log into KDE
3. use the system for some time period
4. hear the choppy noise here and there (it takes just second or so..)


Actual results:
Choppy sound. 

Expected results:
No choppy sound at all. Like in kernel 2.6.29 series.

Additional info:
rpm -q pulseaudio
pulseaudio-0.9.15-17.fc11.i586

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

Comment 1 cb-rhbugz 2009-11-04 01:04:53 UTC
I can reproduce this on my machine with the Fedora 12 beta. It seems to be triggered by opening the sound device, with a second click a few seconds later, and is caused by leaving/entering powersaving mode.

It can be prevented with this command:
$ echo 0 > /sys/module/snd_hda_intel/parameters/power_save

from /var/log/dmesg

HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
HDA Intel 0000:00:1b.0: setting latency timer to 64
hda_codec: Unknown model for ALC882, trying auto-probe from BIOS...
ALSA sound/pci/hda/hda_codec.c:3862: autoconfig: line_outs=4 (0x14/0x15/0x16/0x17/0x0)
ALSA sound/pci/hda/hda_codec.c:3866:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3870:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3871:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3874:    dig-out=0x1e/0x0
ALSA sound/pci/hda/hda_codec.c:3882:    inputs: mic=0x18, fmic=0x19, line=0x1a, fline=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/hda_codec.c:3884:    dig-in=0x1f
ALSA sound/pci/hda/patch_realtek.c:1197: realtek: Enabling init ASM_ID=0xe601 CODEC_ID=10ec0882
input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input5

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

$ rpm -q kernel
kernel-2.6.31.1-56.fc12.i686
kernel-2.6.31.5-96.fc12.i686

Expected behaviour is that the clicking does not occur. If this is a hardware problem it would be good if the hardware was blacklisted

Comment 2 Drew D'Addesio 2009-11-22 22:16:38 UTC
I am CONFIDENT after about an hour and a half of googling that the problem is caused by Fedora 12's new audio "power save" function. What the function does is turn off your sound device after 10 seconds without any audio playing. This power save function really does not save much power at all, according to everybody on the entire internet... And Intel HDA audio devices produce a pop sound each time it is turned off or on in ALSA. This explains the problem. I have it too.

In Ubuntu, the option to enable it is located in /etc/modprobe.d/alsa-base.conf, and it is enabled by default. You can just comment out the last line (#options snd-hda-intel power_save=10) to fix it.

But in Fedora, there is no alsa-base.conf. We know exactly what to do to fix this problem; we just don't know how to fix it.

Comment 3 Drew D'Addesio 2009-11-22 22:26:36 UTC
(In reply to comment #2)
> I am CONFIDENT after about an hour and a half of googling that the problem is
> caused by Fedora 12's new audio "power save" function. What the function does
> is turn off your sound device after 10 seconds without any audio playing. This
> power save function really does not save much power at all, according to
> everybody on the entire internet... And Intel HDA audio devices produce a pop
> sound each time it is turned off or on in ALSA. This explains the problem. I
> have it too.
> 
> In Ubuntu, the option to enable it is located in
> /etc/modprobe.d/alsa-base.conf, and it is enabled by default. You can just
> comment out the last line (#options snd-hda-intel power_save=10) to fix it.
> 
> But in Fedora, there is no alsa-base.conf. We know exactly what to do to fix
> this problem; we just don't know how to fix it.  

EDIT: Hehe, sorry cb-rhbugz, I just scrolled right past your comment. What you mentioned worked. There really does need to be a blacklist. Either that or make the audio fade out to 0 volume before turning off the device and fade back in for turning it back on, assuming that would work.

Comment 4 Michal Schmidt 2009-12-04 13:41:24 UTC
There is a discussion about disabling HDA power saving in bug 527286.

Lukas, does disabling power_save help in your case too?

Comment 5 Drew D'Addesio 2009-12-04 21:55:48 UTC
Thanks for the link, Michal

In my case, running:

su
echo 0 > /sys/module/snd_hda_intel/parameters/power_save

Disabled power save for the current user's session only. Restarting the computer resets that option back to 5 and hence turns on power_save again.

Running:

su
echo "options snd_hda_intel power_save=0" > /etc/modprobe.d/snd_hda_intel.conf

Actually turned it off for real.

And I'd like to mention one more thing: a problem in Fedora 12 is that the Mute button of my HP dv6227cl laptop would not light up when the sound was muted (though the button still worked to mute/unmute the audio).

Running:

su
echo "options snd_hda_intel model=hp-dv6" >> /etc/modprobe.d/snd_hda_intel.conf

Actually fixed that. Fedora 11 never had the problem. I think some old code could be merged in F12 so that its audio device detection works more accurately.

Comment 6 Michal Schmidt 2009-12-07 15:59:51 UTC
(In reply to comment #5)
> And I'd like to mention one more thing: a problem in Fedora 12 is that the Mute
> button of my HP dv6227cl laptop would not light up when the sound was muted
> (though the button still worked to mute/unmute the audio).
> 
> Running:
> 
> su
> echo "options snd_hda_intel model=hp-dv6" >> /etc/modprobe.d/snd_hda_intel.conf
> 
> Actually fixed that. Fedora 11 never had the problem. I think some old code
> could be merged in F12 so that its audio device detection works more
> accurately.  

Drew, please report this as a separate bug and attach the result of "alsa-info.sh --no-upload" to it. Thanks.

Comment 7 Bug Zapper 2010-04-28 10:22:05 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 14:39:08 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Lukas Tvrdy 2014-11-22 16:44:31 UTC
This bug still produce some request for needsinfo, I don't have the problem anymore.


Note You need to log in before you can comment on or make changes to this bug.